apiVersion: v1
kind: ConfigMap
metadata:
  name: rating-admin-nginx-config
  namespace: ingress-nginx
data: 
  default.conf: | 
    server {
      listen       80;
      listen  [::]:80;

      server_name  localhost;

      #access_log  /var/log/nginx/host.access.log  main;
        
      root /usr/share/nginx/html;
      index index.html;
    
      location / {
          try_files $uri /index.html;
      }

    }